<?php
/**
 * Project: SigGen - Signature and Avatar Generator for WoWRoster
 * File: /localization.php
 *
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary:
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Legal Information:
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 *
 * Full License:
 *  license.txt (Included within this library)
 *
 * You should have recieved a FULL copy of this license in license.txt
 * along with this library, if you did not and you are unable to find
 * and agree to the license you may not use this library.
 *
 * For questions, comments, information and documentation please visit
 * the official website at cpframework.org
 *
 * @link http://www.wowroster.net
 * @license http://creativecommons.org/licenses/by-nc-sa/2.5/
 * @author Joshua Clark
 * @version $Id: localization.php 156 2007-05-11 06:18:36Z Zanix $
 * @copyright 2005-2007 Joshua Clark
 * @package SigGen
 * @filesource
 *
 */

// Language translations SigGen

$wordings['addoncredits']['SigGen v0.2.4'] = array(
	array(	"name"=>	"Zanix",
			"info"=>	"Signature and Avatar Generator"),
);

// Translation Information
	// Format: $siggen_translate['locale']['Localized Name']='English Name';
	// 'Localized Name' MUST be the same as what is stored in the database
	// 'English Name' MUST be the same as what is stored in a 'enUS' database
		// Example: $siggen_translate['deDE']['Nachtelf']='Night Elf';
		// Example: $siggen_translate['enUS']['Night Elf']='Night Elf';

// ----[ Begin US English (enUS) ]--------------------------

// Class Translation
$siggen_translate['enUS']['Druid']    = 'Druid';
$siggen_translate['enUS']['Hunter']   = 'Hunter';
$siggen_translate['enUS']['Mage']     = 'Mage';
$siggen_translate['enUS']['Paladin']  = 'Paladin';
$siggen_translate['enUS']['Priest']   = 'Priest';
$siggen_translate['enUS']['Rogue']    = 'Rogue';
$siggen_translate['enUS']['Shaman']   = 'Shaman';
$siggen_translate['enUS']['Warlock']  = 'Warlock';
$siggen_translate['enUS']['Warrior']  = 'Warrior';

// Race, Gender Translation
$siggen_translate['enUS']['Blood Elf'] = 'Blood Elf';
$siggen_translate['enUS']['Draenei']   = 'Draenei';
$siggen_translate['enUS']['Night Elf'] = 'Night Elf';
$siggen_translate['enUS']['Dwarf']     = 'Dwarf';
$siggen_translate['enUS']['Gnome']     = 'Gnome';
$siggen_translate['enUS']['Human']     = 'Human';
$siggen_translate['enUS']['Orc']       = 'Orc';
$siggen_translate['enUS']['Undead']    = 'Undead';
$siggen_translate['enUS']['Troll']     = 'Troll';
$siggen_translate['enUS']['Tauren']    = 'Tauren';
$siggen_translate['enUS']['Male']      = 'Male';
$siggen_translate['enUS']['Female']    = 'Female';

// ----[ End US English (enUS) ]----------------------------


// ----[ Begin German (deDE) ]------------------------------

// Class Translation
$siggen_translate['deDE']['Druide']       = 'Druid';
$siggen_translate['deDE']['Jäger']       = 'Hunter';
$siggen_translate['deDE']['Magier']       = 'Mage';
$siggen_translate['deDE']['Paladin']      = 'Paladin';
$siggen_translate['deDE']['Priester']     = 'Priest';
$siggen_translate['deDE']['Schurke']      = 'Rogue';
$siggen_translate['deDE']['Schamane']     = 'Shaman';
$siggen_translate['deDE']['Hexenmeister'] = 'Warlock';
$siggen_translate['deDE']['Krieger']      = 'Warrior';

// Race, Gender Translation
$siggen_translate['deDE']['Blutelf']      = 'Blood Elf';
$siggen_translate['deDE']['Draenei']      = 'Draenei';
$siggen_translate['deDE']['Nachtelf']     = 'Night Elf';
$siggen_translate['deDE']['Zwerg']        = 'Dwarf';
$siggen_translate['deDE']['Gnom']         = 'Gnome';
$siggen_translate['deDE']['Mensch']       = 'Human';
$siggen_translate['deDE']['Orc']          = 'Orc';
$siggen_translate['deDE']['Untoter']      = 'Undead';
$siggen_translate['deDE']['Troll']        = 'Troll';
$siggen_translate['deDE']['Tauren']       = 'Tauren';
$siggen_translate['deDE']['Männlich']    = 'Male';
$siggen_translate['deDE']['Weiblich']     = 'Female';

// ----[ End German (deDE) ]--------------------------------


// ----[ Begin French (frFR) ]------------------------------
// translated to frFR by Harut
// Class Translation
$siggen_translate['frFR']['Druide']       = 'Druid';
$siggen_translate['frFR']['Chasseur']     = 'Hunter';
$siggen_translate['frFR']['Mage']         = 'Mage';
$siggen_translate['frFR']['Paladin']      = 'Paladin';
$siggen_translate['frFR']['Prêtre']      = 'Priest';
$siggen_translate['frFR']['Voleur']       = 'Rogue';
$siggen_translate['frFR']['Chaman']       = 'Shaman';
$siggen_translate['frFR']['Démoniste']   = 'Warlock';
$siggen_translate['frFR']['Guerrier']     = 'Warrior';

// Race, Gender Translation
$siggen_translate['frFR']['Elfe de sang'] = 'Blood Elf';
$siggen_translate['frFR']['Draeneï']     = 'Draenei';
$siggen_translate['frFR']['Elfe de la nuit'] = 'Night Elf';
$siggen_translate['frFR']['Nain']         = 'Dwarf';
$siggen_translate['frFR']['Gnome']        = 'Gnome';
$siggen_translate['frFR']['Humain']       = 'Human';
$siggen_translate['frFR']['Orc']          = 'Orc';
$siggen_translate['frFR']['Mort-vivant']  = 'Undead';
$siggen_translate['frFR']['Troll']        = 'Troll';
$siggen_translate['frFR']['Tauren']       = 'Tauren';
$siggen_translate['frFR']['Homme']        = 'Male';
$siggen_translate['frFR']['Femme']        = 'Female';

// ----[ End French (frFR) ]--------------------------------


// ----[ Begin Spanish (esES) ]------------------------------
// translated to esES by MaQJaV - Marosth
// Class Translation
$siggen_translate['esES']['Druida']       = 'Druid';
$siggen_translate['esES']['Cazador']      = 'Hunter';
$siggen_translate['esES']['Mago']         = 'Mage';
$siggen_translate['esES']['Paladín']     = 'Paladin';
$siggen_translate['esES']['Sacerdote']    = 'Priest';
$siggen_translate['esES']['Pícaro']      = 'Rogue';
$siggen_translate['esES']['Chamán']      = 'Shaman';
$siggen_translate['esES']['Brujo']        = 'Warlock';
$siggen_translate['esES']['Guerrero']     = 'Warrior';

// Race, Gender Translation
$siggen_translate['esES']['Elfo de sangre'] = 'Blood Elf';
$siggen_translate['esES']['Draenei']      = 'Draenei';
$siggen_translate['esES']['Elfo de la noche'] = 'Night Elf';
$siggen_translate['esES']['Enano']        = 'Dwarf';
$siggen_translate['esES']['Gnomo']        = 'Gnome';
$siggen_translate['esES']['Humano']       = 'Human';
$siggen_translate['esES']['Orco']         = 'Orc';
$siggen_translate['esES']['No-muerto']    = 'Undead';
$siggen_translate['esES']['Trol']         = 'Troll';
$siggen_translate['esES']['Tauren']       = 'Tauren';
$siggen_translate['esES']['Masculino']    = 'Male';
$siggen_translate['esES']['Femenino']     = 'Female';

// ----[ End Spanish (esES) ]--------------------------------



/**
 * SigGen Config localization
 * 'bout time I added this huh?
 */

// ----[ Begin US English (enUS) ]--------------------------

// All SigGen Config strings here
// Some of these use format strings for sprintf()
// Keep the use of %1$s or %2$d for these so variables do not get switched around

// Also, keep everything html encoded
// That means <br /> not \n, &quot; not ", etc...

$siggen_locale['enUS']['menu_siggen_config'] = 'SigGen Config';
$siggen_locale['enUS']['title_siggen_config'] = 'SigGen Config v%1$s';
$siggen_locale['enUS']['sql_queries'] = 'SigGen SQL Queries';
$siggen_locale['enUS']['sql_messages'] = 'SigGen Messages';

$siggen_locale['enUS']['fatal_error'] = '<span class="red">Fatal Error</span>';
$siggen_locale['enUS']['no_gd_error'] = 'GD Functions are not available<br />SigGen REQUIRES GD with FreeType support<br /><br /><a href="rosterdiag.php" target="_blank">More Info</a>';
$siggen_locale['enUS']['config_notfound'] = 'SigGen &quot;Configuration&quot; file not included';
$siggen_locale['enUS']['functions_notfound'] = 'SigGen Config &quot;Functions Class&quot; file not found<br />[<span class="green">%1$s</span>]';
$siggen_locale['enUS']['no_pass_error'] = 'No...you can\'t have an empty password<br />What\'s the point of having an empty password?<br /><br />I\'m sorry, but you need some kind of a password set in Roster Config to get in';
$siggen_locale['enUS']['no_pass_error_t'] = '<span class="red">Password not defined or empty</span>';
$siggen_locale['enUS']['no_reinstall_error'] = 'You cannot re-install SigGen after it has been installed';
$siggen_locale['enUS']['install'] = 'SigGen Config database table not found [<span class="green">%1$s</span>]<br /><br /><center><span style="border:1px outset white; padding:2px 6px 2px 6px;"><a href="%2$s">Install</a></span></center><br />';
$siggen_locale['enUS']['install_t'] = 'SigGen Config AutoInstall';
$siggen_locale['enUS']['upgrade'] = '<div align="right">New DB Version [<span class="green">%1$s</span>]<br />Your DB Version [<span class="red">%2$s</span>]</div><br /><a href="%3$s">Upgrade with reset</a> <span class="green">(BEST option!)</span><br /><a href="%4$s">Upgrade without reset</a> <span class="red">(not supported)</span>';
$siggen_locale['enUS']['upgrade_t'] = 'SigGen Config Upgrade';
$siggen_locale['enUS']['saved_folder_created'] = 'Saved Signatures folder created';
$siggen_locale['enUS']['saved_folder_not_created_manual'] = 'Saved Signatures folder COULD NOT be created<br />Create it manually';
$siggen_locale['enUS']['saved_folder_chmoded'] = 'Saved Signatures folder is now writable';
$siggen_locale['enUS']['saved_folder_not_chmoded_manual'] = 'Saved Signatures folder COULD NOT be set writable<br />Manually set write access';
$siggen_locale['enUS']['custom_folder_created'] = 'Custom Images folder created';
$siggen_locale['enUS']['custom_folder_not_created_manual'] = 'Custom Images folder COULD NOT be created<br />Create it manually';
$siggen_locale['enUS']['custom_folder_chmoded'] = 'Custom Images folder is now writable';
$siggen_locale['enUS']['custom_folder_not_chmoded_manual'] = 'Custom Images folder COULD NOT be set writable<br />Manually set write access';
$siggen_locale['enUS']['cannot_find_main_images'] = '<span class="red">Fatal Error:</span> Cannot find Main Images folder [<span class="green">%1$s</span>]<br /><br />This <span class="red"><u>MUST</u></span> be fixed before you do <span class="red"><u>ANYTHING</u></span> else';
$siggen_locale['enUS']['cannot_find_char_images'] = 'Cannot find Character Images folder<br />Make sure it is set correctly [<span class="green">%1$s</span>]';
$siggen_locale['enUS']['cannot_find_font_folder'] = 'Cannot find Fonts folder<br />Make sure it is set correctly [<span class=\"green\">%1$s</span>]';
$siggen_locale['enUS']['cannot_find_class_images'] = 'Cannot find Class Images folder<br />Make sure it is set correctly [<span class="green">%1$s</span>]';
$siggen_locale['enUS']['cannot_find_backg_images'] = 'Cannot find Background Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['enUS']['cannot_find_pvp_images'] = 'Cannot find PvP Logo Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['enUS']['cannot_find_frame_images'] = 'Cannot find Frame Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['enUS']['cannot_find_level_images'] = 'Cannot find Level Bubble Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['enUS']['cannot_find_border_images'] = 'Cannot find Border Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['enUS']['cannot_find_custom_folder'] = 'Custom Images folder does not exist<br />It is required if you want to upload custom user images<br />Click <a href="%1$s">HERE</a> to try to create [<span class="green">%2$s</span>]<br />Custom Image uploading is temporarily disabled';
$siggen_locale['enUS']['cannot_writeto_custom_folder'] = 'Custom Images folder is not writable<br />Click <a href="%1$s">HERE</a> to try to chmod [<span class="green">%2$s</span>]<br />Custom Image uploading is temporarily disabled';
$siggen_locale['enUS']['cannot_find_save_folder'] = 'Saved Signatures Folder does not exist<br />It is required when &quot;Save Image Mode&quot; is turned on<br />Click <a href="%1$s">HERE</a> to try to create [<span class="green">%2$s</span>]<br />Save Image functions are temporarily disabled';
$siggen_locale['enUS']['cannot_writeto_save_folder'] = 'Saved Signatures Folder is not writable<br />Write access is required when &quot;Save Image Mode&quot; is turned on<br />Click <a href="%1$s">HERE</a> to try to chmod [<span class="green">%2$s</span>]<br />Save Image functions are temporarily disabled';
$siggen_locale['enUS']['safemode_on'] = 'PHP <span class="green">safe_mode</span> is turned <span class="red">on</span><br />Image upload/delete functions <u>might</u> not operate properly';
$siggen_locale['enUS']['iniset_off'] = 'PHP <span class="green">ini_set</span> is <span class="red">disabled</span> on this server<br />SigGen will not report all errors on created images';
$siggen_locale['enUS']['cannot_check_version'] = 'Could not check for latest version of SigGen';
$siggen_locale['enUS']['new_siggen_available'] = 'There is a new version of SigGen available <span class="green">v%1$s</span><br />Get it <a href="http://www.wowroster.net/Forums/viewforum/f=38.html" target="_blank">HERE</a>';

$siggen_locale['enUS']['select_image_upload'] = 'Please select an image to upload';
$siggen_locale['enUS']['select_name_upload'] = 'Please select a name before uploading an image';
$siggen_locale['enUS']['image_mustbe_right'] = 'The image must be .png, .gif, or .jpg';
$siggen_locale['enUS']['image_a_copy'] = 'You are uploading an exact copy of an existing image';
$siggen_locale['enUS']['image_upload_failed'] = 'Upload of [<span class="purple">%1$s</span>] failed<br />You might not have write access to [<span class="green">%2$s</span>]';
$siggen_locale['enUS']['image_upload_success'] = 'Upload of [<span class="purple">%1$s</span>] to [<span class="green">%2$s</span>] successful';
$siggen_locale['enUS']['select_image_delete'] = 'Please select an image to delete';
$siggen_locale['enUS']['image_deleted'] = '<span class="green">%1$s</span>: <span class="red">Deleted</span>';
$siggen_locale['enUS']['image_delete_failed'] = '%1$s: Could not be deleted. I do not know why';
$siggen_locale['enUS']['settings_changed'] = 'Settings have been changed';
$siggen_locale['enUS']['settings_reset'] = 'Settings have been restored to defaults';
$siggen_locale['enUS']['cannot_find_file'] = 'Cannot find file [%1$s]';
$siggen_locale['enUS']['reset_checkbox'] = 'To reset, make sure you check the &quot;Check to confirm reset&quot; checkbox';
$siggen_locale['enUS']['install_success'] = '%1$s was successfull...<br />Click <a href="%2$s">HERE</a> to continue<br />';

$siggen_locale['enUS']['select_import_file'] = 'Please select a siggen_saved file to upload';
$siggen_locale['enUS']['import_mustbe_right'] = 'The file must be [<span class="green">%1$s</span>]';
$siggen_locale['enUS']['import_upload_success'] = 'SigGen import successful';
$siggen_locale['enUS']['import_upload_failed'] = 'SigGen import failed';
$siggen_locale['enUS']['import_upload_failed_ver'] = 'SigGen import failed<br />Import file version does not match current version<br /><div align="right">This version [<span class="green">%1$s</span>]<br />File version [<span class="red">%1$s</span>]';

// ----[ End US English (enUS) ]----------------------------


// ----[ Begin German (deDE) ]------------------------------

$siggen_locale['deDE']['menu_siggen_config'] = 'SigGen Config';
$siggen_locale['deDE']['title_siggen_config'] = 'SigGen Config v%1$s';
$siggen_locale['deDE']['sql_queries'] = 'SigGen SQL Queries';
$siggen_locale['deDE']['sql_messages'] = 'SigGen Messages';

$siggen_locale['deDE']['fatal_error'] = '<span class="red">Fatal Error</span>';
$siggen_locale['deDE']['no_gd_error'] = 'GD Functions are not available<br />SigGen REQUIRES GD with FreeType support<br /><br /><a href="rosterdiag.php" target="_blank">More Info</a>';
$siggen_locale['deDE']['config_notfound'] = 'SigGen &quot;Configuration&quot; file not included';
$siggen_locale['deDE']['functions_notfound'] = 'SigGen Config &quot;Functions Class&quot; file not found<br />[<span class="green">%1$s</span>]';
$siggen_locale['deDE']['no_pass_error'] = 'No...you can\'t have an empty password<br />What\'s the point of having an empty password?<br /><br />I\'m sorry, but you need some kind of a password set in Roster Config to get in';
$siggen_locale['deDE']['no_pass_error_t'] = '<span class="red">Password not defined or empty</span>';
$siggen_locale['deDE']['no_reinstall_error'] = 'You cannot re-install SigGen after it has been installed';
$siggen_locale['deDE']['install'] = 'SigGen Config database table not found [<span class="green">%1$s</span>]<br /><br /><center><span style="border:1px outset white; padding:2px 6px 2px 6px;"><a href="%2$s">Install</a></span></center><br />';
$siggen_locale['deDE']['install_t'] = 'SigGen Config AutoInstall';
$siggen_locale['deDE']['upgrade'] = '<div align="right">New DB Version [<span class="green">%1$s</span>]<br />Your DB Version [<span class="red">%2$s</span>]</div><br /><a href="%3$s">Upgrade with reset</a> <span class="green">(BEST option!)</span><br /><a href="%4$s">Upgrade without reset</a> <span class="red">(not supported)</span>';
$siggen_locale['deDE']['upgrade_t'] = 'SigGen Config Upgrade';
$siggen_locale['deDE']['saved_folder_created'] = 'Saved Signatures folder created';
$siggen_locale['deDE']['saved_folder_not_created_manual'] = 'Saved Signatures folder COULD NOT be created<br />Create it manually';
$siggen_locale['deDE']['saved_folder_chmoded'] = 'Saved Signatures folder is now writable';
$siggen_locale['deDE']['saved_folder_not_chmoded_manual'] = 'Saved Signatures folder COULD NOT be set writable<br />Manually set write access';
$siggen_locale['deDE']['custom_folder_created'] = 'Custom Images folder created';
$siggen_locale['deDE']['custom_folder_not_created_manual'] = 'Custom Images folder COULD NOT be created<br />Create it manually';
$siggen_locale['deDE']['custom_folder_chmoded'] = 'Custom Images folder is now writable';
$siggen_locale['deDE']['custom_folder_not_chmoded_manual'] = 'Custom Images folder COULD NOT be set writable<br />Manually set write access';
$siggen_locale['deDE']['cannot_find_main_images'] = '<span class="red">Fatal Error:</span> Cannot find Main Images folder [<span class="green">%1$s</span>]<br /><br />This <span class="red"><u>MUST</u></span> be fixed before you do <span class="red"><u>ANYTHING</u></span> else';
$siggen_locale['deDE']['cannot_find_char_images'] = 'Cannot find Character Images folder<br />Make sure it is set correctly [<span class="green">%1$s</span>]';
$siggen_locale['deDE']['cannot_find_font_folder'] = 'Cannot find Fonts folder<br />Make sure it is set correctly [<span class=\"green\">%1$s</span>]';
$siggen_locale['deDE']['cannot_find_class_images'] = 'Cannot find Class Images folder<br />Make sure it is set correctly [<span class="green">%1$s</span>]';
$siggen_locale['deDE']['cannot_find_backg_images'] = 'Cannot find Background Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['deDE']['cannot_find_pvp_images'] = 'Cannot find PvP Logo Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['deDE']['cannot_find_frame_images'] = 'Cannot find Frame Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['deDE']['cannot_find_level_images'] = 'Cannot find Level Bubble Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['deDE']['cannot_find_border_images'] = 'Cannot find Border Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['deDE']['cannot_find_custom_folder'] = 'Custom Images folder does not exist<br />It is required if you want to upload custom user images<br />Click <a href="%1$s">HERE</a> to try to create [<span class="green">%2$s</span>]<br />Custom Image uploading is temporarily disabled';
$siggen_locale['deDE']['cannot_writeto_custom_folder'] = 'Custom Images folder is not writable<br />Click <a href="%1$s">HERE</a> to try to chmod [<span class="green">%2$s</span>]<br />Custom Image uploading is temporarily disabled';
$siggen_locale['deDE']['cannot_find_save_folder'] = 'Saved Signatures Folder does not exist<br />It is required when &quot;Save Image Mode&quot; is turned on<br />Click <a href="%1$s">HERE</a> to try to create [<span class="green">%2$s</span>]<br />Save Image functions are temporarily disabled';
$siggen_locale['deDE']['cannot_writeto_save_folder'] = 'Saved Signatures Folder is not writable<br />Write access is required when &quot;Save Image Mode&quot; is turned on<br />Click <a href="%1$s">HERE</a> to try to chmod [<span class="green">%2$s</span>]<br />Save Image functions are temporarily disabled';
$siggen_locale['deDE']['safemode_on'] = 'PHP <span class="green">safe_mode</span> is turned <span class="red">on</span><br />Image upload/delete functions <u>might</u> not operate properly';
$siggen_locale['deDE']['iniset_off'] = 'PHP <span class="green">ini_set</span> is <span class="red">disabled</span> on this server<br />SigGen will not report all errors on created images';
$siggen_locale['deDE']['cannot_check_version'] = 'Could not check for latest version of SigGen';
$siggen_locale['deDE']['new_siggen_available'] = 'There is a new version of SigGen available <span class="green">v%1$s</span><br />Get it <a href="http://www.wowroster.net/Forums/viewforum/f=38.html" target="_blank">HERE</a>';

$siggen_locale['deDE']['select_image_upload'] = 'Please select an image to upload';
$siggen_locale['deDE']['select_name_upload'] = 'Please select a name before uploading an image';
$siggen_locale['deDE']['image_mustbe_right'] = 'The image must be .png, .gif, or .jpg';
$siggen_locale['deDE']['image_a_copy'] = 'You are uploading an exact copy of an existing image';
$siggen_locale['deDE']['image_upload_failed'] = 'Upload of [<span class="purple">%1$s</span>] failed<br />You might not have write access to [<span class="green">%2$s</span>]';
$siggen_locale['deDE']['image_upload_success'] = 'Upload of [<span class="purple">%1$s</span>] to [<span class="green">%2$s</span>] successful';
$siggen_locale['deDE']['select_image_delete'] = 'Please select an image to delete';
$siggen_locale['deDE']['image_deleted'] = '<span class="green">%1$s</span>: <span class="red">Deleted</span>';
$siggen_locale['deDE']['image_delete_failed'] = '%1$s: Could not be deleted. I do not know why';
$siggen_locale['deDE']['settings_changed'] = 'Settings have been changed';
$siggen_locale['deDE']['settings_reset'] = 'Settings have been restored to defaults';
$siggen_locale['deDE']['cannot_find_file'] = 'Cannot find file [%1$s]';
$siggen_locale['deDE']['reset_checkbox'] = 'To reset, make sure you check the &quot;Check to confirm reset&quot; checkbox';
$siggen_locale['deDE']['install_success'] = '%1$s was successfull...<br />Click <a href="%2$s">HERE</a> to continue<br />';

$siggen_locale['deDE']['select_import_file'] = 'Please select a siggen_saved file to upload';
$siggen_locale['deDE']['import_mustbe_right'] = 'The file must be [<span class="green">%1$s</span>]';
$siggen_locale['deDE']['import_upload_success'] = 'SigGen import successful';
$siggen_locale['deDE']['import_upload_failed'] = 'SigGen import failed';
$siggen_locale['deDE']['import_upload_failed_ver'] = 'SigGen import failed<br />Import file version does not match current version<br /><div align="right">This version [<span class="green">%1$s</span>]<br />File version [<span class="red">%1$s</span>]';

// ----[ End German (deDE) ]--------------------------------


// ----[ Begin French (frFR) ]------------------------------

$siggen_locale['frFR']['menu_siggen_config'] = 'SigGen Config';
$siggen_locale['frFR']['title_siggen_config'] = 'SigGen Config v%1$s';
$siggen_locale['frFR']['sql_queries'] = 'SigGen SQL Queries';
$siggen_locale['frFR']['sql_messages'] = 'SigGen Messages';

$siggen_locale['frFR']['fatal_error'] = '<span class="red">Fatal Error</span>';
$siggen_locale['frFR']['no_gd_error'] = 'GD Functions are not available<br />SigGen REQUIRES GD with FreeType support<br /><br /><a href="rosterdiag.php" target="_blank">More Info</a>';
$siggen_locale['frFR']['config_notfound'] = 'SigGen &quot;Configuration&quot; file not included';
$siggen_locale['frFR']['functions_notfound'] = 'SigGen Config &quot;Functions Class&quot; file not found<br />[<span class="green">%1$s</span>]';
$siggen_locale['frFR']['no_pass_error'] = 'No...you can\'t have an empty password<br />What\'s the point of having an empty password?<br /><br />I\'m sorry, but you need some kind of a password set in Roster Config to get in';
$siggen_locale['frFR']['no_pass_error_t'] = '<span class="red">Password not defined or empty</span>';
$siggen_locale['frFR']['no_reinstall_error'] = 'You cannot re-install SigGen after it has been installed';
$siggen_locale['frFR']['install'] = 'SigGen Config database table not found [<span class="green">%1$s</span>]<br /><br /><center><span style="border:1px outset white; padding:2px 6px 2px 6px;"><a href="%2$s">Install</a></span></center><br />';
$siggen_locale['frFR']['install_t'] = 'SigGen Config AutoInstall';
$siggen_locale['frFR']['upgrade'] = '<div align="right">New DB Version [<span class="green">%1$s</span>]<br />Your DB Version [<span class="red">%2$s</span>]</div><br /><a href="%3$s">Upgrade with reset</a> <span class="green">(BEST option!)</span><br /><a href="%4$s">Upgrade without reset</a> <span class="red">(not supported)</span>';
$siggen_locale['frFR']['upgrade_t'] = 'SigGen Config Upgrade';
$siggen_locale['frFR']['saved_folder_created'] = 'Saved Signatures folder created';
$siggen_locale['frFR']['saved_folder_not_created_manual'] = 'Saved Signatures folder COULD NOT be created<br />Create it manually';
$siggen_locale['frFR']['saved_folder_chmoded'] = 'Saved Signatures folder is now writable';
$siggen_locale['frFR']['saved_folder_not_chmoded_manual'] = 'Saved Signatures folder COULD NOT be set writable<br />Manually set write access';
$siggen_locale['frFR']['custom_folder_created'] = 'Custom Images folder created';
$siggen_locale['frFR']['custom_folder_not_created_manual'] = 'Custom Images folder COULD NOT be created<br />Create it manually';
$siggen_locale['frFR']['custom_folder_chmoded'] = 'Custom Images folder is now writable';
$siggen_locale['frFR']['custom_folder_not_chmoded_manual'] = 'Custom Images folder COULD NOT be set writable<br />Manually set write access';
$siggen_locale['frFR']['cannot_find_main_images'] = '<span class="red">Fatal Error:</span> Cannot find Main Images folder [<span class="green">%1$s</span>]<br /><br />This <span class="red"><u>MUST</u></span> be fixed before you do <span class="red"><u>ANYTHING</u></span> else';
$siggen_locale['frFR']['cannot_find_char_images'] = 'Cannot find Character Images folder<br />Make sure it is set correctly [<span class="green">%1$s</span>]';
$siggen_locale['frFR']['cannot_find_font_folder'] = 'Cannot find Fonts folder<br />Make sure it is set correctly [<span class=\"green\">%1$s</span>]';
$siggen_locale['frFR']['cannot_find_class_images'] = 'Cannot find Class Images folder<br />Make sure it is set correctly [<span class="green">%1$s</span>]';
$siggen_locale['frFR']['cannot_find_backg_images'] = 'Cannot find Background Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['frFR']['cannot_find_pvp_images'] = 'Cannot find PvP Logo Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['frFR']['cannot_find_frame_images'] = 'Cannot find Frame Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['frFR']['cannot_find_level_images'] = 'Cannot find Level Bubble Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['frFR']['cannot_find_border_images'] = 'Cannot find Border Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['frFR']['cannot_find_custom_folder'] = 'Custom Images folder does not exist<br />It is required if you want to upload custom user images<br />Click <a href="%1$s">HERE</a> to try to create [<span class="green">%2$s</span>]<br />Custom Image uploading is temporarily disabled';
$siggen_locale['frFR']['cannot_writeto_custom_folder'] = 'Custom Images folder is not writable<br />Click <a href="%1$s">HERE</a> to try to chmod [<span class="green">%2$s</span>]<br />Custom Image uploading is temporarily disabled';
$siggen_locale['frFR']['cannot_find_save_folder'] = 'Saved Signatures Folder does not exist<br />It is required when &quot;Save Image Mode&quot; is turned on<br />Click <a href="%1$s">HERE</a> to try to create [<span class="green">%2$s</span>]<br />Save Image functions are temporarily disabled';
$siggen_locale['frFR']['cannot_writeto_save_folder'] = 'Saved Signatures Folder is not writable<br />Write access is required when &quot;Save Image Mode&quot; is turned on<br />Click <a href="%1$s">HERE</a> to try to chmod [<span class="green">%2$s</span>]<br />Save Image functions are temporarily disabled';
$siggen_locale['frFR']['safemode_on'] = 'PHP <span class="green">safe_mode</span> is turned <span class="red">on</span><br />Image upload/delete functions <u>might</u> not operate properly';
$siggen_locale['frFR']['iniset_off'] = 'PHP <span class="green">ini_set</span> is <span class="red">disabled</span> on this server<br />SigGen will not report all errors on created images';
$siggen_locale['frFR']['cannot_check_version'] = 'Could not check for latest version of SigGen';
$siggen_locale['frFR']['new_siggen_available'] = 'There is a new version of SigGen available <span class="green">v%1$s</span><br />Get it <a href="http://www.wowroster.net/Forums/viewforum/f=38.html" target="_blank">HERE</a>';

$siggen_locale['frFR']['select_image_upload'] = 'Please select an image to upload';
$siggen_locale['frFR']['select_name_upload'] = 'Please select a name before uploading an image';
$siggen_locale['frFR']['image_mustbe_right'] = 'The image must be .png, .gif, or .jpg';
$siggen_locale['frFR']['image_a_copy'] = 'You are uploading an exact copy of an existing image';
$siggen_locale['frFR']['image_upload_failed'] = 'Upload of [<span class="purple">%1$s</span>] failed<br />You might not have write access to [<span class="green">%2$s</span>]';
$siggen_locale['frFR']['image_upload_success'] = 'Upload of [<span class="purple">%1$s</span>] to [<span class="green">%2$s</span>] successful';
$siggen_locale['frFR']['select_image_delete'] = 'Please select an image to delete';
$siggen_locale['frFR']['image_deleted'] = '<span class="green">%1$s</span>: <span class="red">Deleted</span>';
$siggen_locale['frFR']['image_delete_failed'] = '%1$s: Could not be deleted. I do not know why';
$siggen_locale['frFR']['settings_changed'] = 'Settings have been changed';
$siggen_locale['frFR']['settings_reset'] = 'Settings have been restored to defaults';
$siggen_locale['frFR']['cannot_find_file'] = 'Cannot find file [%1$s]';
$siggen_locale['frFR']['reset_checkbox'] = 'To reset, make sure you check the &quot;Check to confirm reset&quot; checkbox';
$siggen_locale['frFR']['install_success'] = '%1$s was successfull...<br />Click <a href="%2$s">HERE</a> to continue<br />';

$siggen_locale['frFR']['select_import_file'] = 'Please select a siggen_saved file to upload';
$siggen_locale['frFR']['import_mustbe_right'] = 'The file must be [<span class="green">%1$s</span>]';
$siggen_locale['frFR']['import_upload_success'] = 'SigGen import successful';
$siggen_locale['frFR']['import_upload_failed'] = 'SigGen import failed';
$siggen_locale['frFR']['import_upload_failed_ver'] = 'SigGen import failed<br />Import file version does not match current version<br /><div align="right">This version [<span class="green">%1$s</span>]<br />File version [<span class="red">%1$s</span>]';

// ----[ End French (frFR) ]--------------------------------


// ----[ Begin Spanish (esES) ]------------------------------

$siggen_locale['esES']['menu_siggen_config'] = 'SigGen Config';
$siggen_locale['esES']['title_siggen_config'] = 'SigGen Config v%1$s';
$siggen_locale['esES']['sql_queries'] = 'SigGen SQL Queries';
$siggen_locale['esES']['sql_messages'] = 'SigGen Messages';

$siggen_locale['esES']['fatal_error'] = '<span class="red">Fatal Error</span>';
$siggen_locale['esES']['no_gd_error'] = 'GD Functions are not available<br />SigGen REQUIRES GD with FreeType support<br /><br /><a href="rosterdiag.php" target="_blank">More Info</a>';
$siggen_locale['esES']['config_notfound'] = 'SigGen &quot;Configuration&quot; file not included';
$siggen_locale['esES']['functions_notfound'] = 'SigGen Config &quot;Functions Class&quot; file not found<br />[<span class="green">%1$s</span>]';
$siggen_locale['esES']['no_pass_error'] = 'No...you can\'t have an empty password<br />What\'s the point of having an empty password?<br /><br />I\'m sorry, but you need some kind of a password set in Roster Config to get in';
$siggen_locale['esES']['no_pass_error_t'] = '<span class="red">Password not defined or empty</span>';
$siggen_locale['esES']['no_reinstall_error'] = 'You cannot re-install SigGen after it has been installed';
$siggen_locale['esES']['install'] = 'SigGen Config database table not found [<span class="green">%1$s</span>]<br /><br /><center><span style="border:1px outset white; padding:2px 6px 2px 6px;"><a href="%2$s">Install</a></span></center><br />';
$siggen_locale['esES']['install_t'] = 'SigGen Config AutoInstall';
$siggen_locale['esES']['upgrade'] = '<div align="right">New DB Version [<span class="green">%1$s</span>]<br />Your DB Version [<span class="red">%2$s</span>]</div><br /><a href="%3$s">Upgrade with reset</a> <span class="green">(BEST option!)</span><br /><a href="%4$s">Upgrade without reset</a> <span class="red">(not supported)</span>';
$siggen_locale['esES']['upgrade_t'] = 'SigGen Config Upgrade';
$siggen_locale['esES']['saved_folder_created'] = 'Saved Signatures folder created';
$siggen_locale['esES']['saved_folder_not_created_manual'] = 'Saved Signatures folder COULD NOT be created<br />Create it manually';
$siggen_locale['esES']['saved_folder_chmoded'] = 'Saved Signatures folder is now writable';
$siggen_locale['esES']['saved_folder_not_chmoded_manual'] = 'Saved Signatures folder COULD NOT be set writable<br />Manually set write access';
$siggen_locale['esES']['custom_folder_created'] = 'Custom Images folder created';
$siggen_locale['esES']['custom_folder_not_created_manual'] = 'Custom Images folder COULD NOT be created<br />Create it manually';
$siggen_locale['esES']['custom_folder_chmoded'] = 'Custom Images folder is now writable';
$siggen_locale['esES']['custom_folder_not_chmoded_manual'] = 'Custom Images folder COULD NOT be set writable<br />Manually set write access';
$siggen_locale['esES']['cannot_find_main_images'] = '<span class="red">Fatal Error:</span> Cannot find Main Images folder [<span class="green">%1$s</span>]<br /><br />This <span class="red"><u>MUST</u></span> be fixed before you do <span class="red"><u>ANYTHING</u></span> else';
$siggen_locale['esES']['cannot_find_char_images'] = 'Cannot find Character Images folder<br />Make sure it is set correctly [<span class="green">%1$s</span>]';
$siggen_locale['esES']['cannot_find_font_folder'] = 'Cannot find Fonts folder<br />Make sure it is set correctly [<span class=\"green\">%1$s</span>]';
$siggen_locale['esES']['cannot_find_class_images'] = 'Cannot find Class Images folder<br />Make sure it is set correctly [<span class="green">%1$s</span>]';
$siggen_locale['esES']['cannot_find_backg_images'] = 'Cannot find Background Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['esES']['cannot_find_pvp_images'] = 'Cannot find PvP Logo Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['esES']['cannot_find_frame_images'] = 'Cannot find Frame Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['esES']['cannot_find_level_images'] = 'Cannot find Level Bubble Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['esES']['cannot_find_border_images'] = 'Cannot find Border Images folder<br />Make sure it is set correctly<br />[<span class="green">%1$s</span>]';
$siggen_locale['esES']['cannot_find_custom_folder'] = 'Custom Images folder does not exist<br />It is required if you want to upload custom user images<br />Click <a href="%1$s">HERE</a> to try to create [<span class="green">%2$s</span>]<br />Custom Image uploading is temporarily disabled';
$siggen_locale['esES']['cannot_writeto_custom_folder'] = 'Custom Images folder is not writable<br />Click <a href="%1$s">HERE</a> to try to chmod [<span class="green">%2$s</span>]<br />Custom Image uploading is temporarily disabled';
$siggen_locale['esES']['cannot_find_save_folder'] = 'Saved Signatures Folder does not exist<br />It is required when &quot;Save Image Mode&quot; is turned on<br />Click <a href="%1$s">HERE</a> to try to create [<span class="green">%2$s</span>]<br />Save Image functions are temporarily disabled';
$siggen_locale['esES']['cannot_writeto_save_folder'] = 'Saved Signatures Folder is not writable<br />Write access is required when &quot;Save Image Mode&quot; is turned on<br />Click <a href="%1$s">HERE</a> to try to chmod [<span class="green">%2$s</span>]<br />Save Image functions are temporarily disabled';
$siggen_locale['esES']['safemode_on'] = 'PHP <span class="green">safe_mode</span> is turned <span class="red">on</span><br />Image upload/delete functions <u>might</u> not operate properly';
$siggen_locale['esES']['iniset_off'] = 'PHP <span class="green">ini_set</span> is <span class="red">disabled</span> on this server<br />SigGen will not report all errors on created images';
$siggen_locale['esES']['cannot_check_version'] = 'Could not check for latest version of SigGen';
$siggen_locale['esES']['new_siggen_available'] = 'There is a new version of SigGen available <span class="green">v%1$s</span><br />Get it <a href="http://www.wowroster.net/Forums/viewforum/f=38.html" target="_blank">HERE</a>';

$siggen_locale['esES']['select_image_upload'] = 'Please select an image to upload';
$siggen_locale['esES']['select_name_upload'] = 'Please select a name before uploading an image';
$siggen_locale['esES']['image_mustbe_right'] = 'The image must be .png, .gif, or .jpg';
$siggen_locale['esES']['image_a_copy'] = 'You are uploading an exact copy of an existing image';
$siggen_locale['esES']['image_upload_failed'] = 'Upload of [<span class="purple">%1$s</span>] failed<br />You might not have write access to [<span class="green">%2$s</span>]';
$siggen_locale['esES']['image_upload_success'] = 'Upload of [<span class="purple">%1$s</span>] to [<span class="green">%2$s</span>] successful';
$siggen_locale['esES']['select_image_delete'] = 'Please select an image to delete';
$siggen_locale['esES']['image_deleted'] = '<span class="green">%1$s</span>: <span class="red">Deleted</span>';
$siggen_locale['esES']['image_delete_failed'] = '%1$s: Could not be deleted. I do not know why';
$siggen_locale['esES']['settings_changed'] = 'Settings have been changed';
$siggen_locale['esES']['settings_reset'] = 'Settings have been restored to defaults';
$siggen_locale['esES']['cannot_find_file'] = 'Cannot find file [%1$s]';
$siggen_locale['esES']['reset_checkbox'] = 'To reset, make sure you check the &quot;Check to confirm reset&quot; checkbox';
$siggen_locale['esES']['install_success'] = '%1$s was successfull...<br />Click <a href="%2$s">HERE</a> to continue<br />';

$siggen_locale['esES']['select_import_file'] = 'Please select a siggen_saved file to upload';
$siggen_locale['esES']['import_mustbe_right'] = 'The file must be [<span class="green">%1$s</span>]';
$siggen_locale['esES']['import_upload_success'] = 'SigGen import successful';
$siggen_locale['esES']['import_upload_failed'] = 'SigGen import failed';
$siggen_locale['esES']['import_upload_failed_ver'] = 'SigGen import failed<br />Import file version does not match current version<br /><div align="right">This version [<span class="green">%1$s</span>]<br />File version [<span class="red">%1$s</span>]';

// ----[ End Spanish (esES) ]--------------------------------
